Skip to main content
Access your API credentials from the API Credentials page. Authentication All API requests must be authenticated using a JWT token. Follow the steps below to generate your token:
  • Use our authentication end point: {{path}}/auth/token/
  • Use your Client ID and Client Secret obtained from the API credentials page. Add your email and password. Grant type should be “password”.
  • This generates a JWT token.
curl --location 'https://api.wokelo.ai/auth/token/' \
--form 'username="sam@abconsulting.com"' \
--form 'password="password"' \
--form 'grant_type="password"' \
--form 'client_id="R9L25HkMvxpJ3N4wsZPYBqVTWcLSnXKjdf8E4HRt"' \
--form 'client_secret="NmWXR8KYjUnpqs2hwmHJHBLTNPV4x7DtZA5ScKdSJqyYKYJmfJbJDgf94THk77MAT25H9xj4kUKTq3fUKxcNYsdwDKhWjXTx2n9zpbNv8kuPhxvjyoHDSgSMqXTff5k3"'
Make first API call Lets try using Company Instant Enrichment API.
curl --location 'https://api.wokelo.ai/api/enterprise/company/enrich/' \
--header 'Authorization: Bearer Token' \
--header 'Content-Type: application/json' \
--data '{
    "companies": [
        "https://ulteig.com/"
    ],
    "sections": [
        "firmographics",
        "products"
    ]
    
}'
A successful request should return a request_id as shown below.
{
    "request_id": "98620177-6b1d-4cda-837b-2be844ec8d65",
    "status": "PENDING"
}
You can then use request result API to view the results.
{
    "request_id": "98620177-6b1d-4cda-837b-2be844ec8d65",
    "status": "COMPLETED",
    "result": {
        "ulteig": {
            "firmographics": {
                "name": "Ulteig",
                "website": "http://ulteig.com",
                "location": "Austin, United States",
                "founded": 1944,
                "type": "private",
                "operating_status": "Operating",
                "ticker": null
            },
            "products": {
                "product_category": "Civil Engineering Infrastructure Services",
                "core_offering": "Ulteig is a civil engineering company that provides comprehensive engineering design, program management, and field services across various sectors including power, renewable energy, transportation, and water management.",
                "product_catalog": [
                    "Engineering design services",
                    "Program management",
                    "Environmental planning and services",
                    "Construction management",
                    "Land surveying"
                ],
                "short_description": "Ulteig is a civil engineering company that offers engineering, surveying, and consulting services.",
                "long_description": "Ulteig is a civil engineering company that offers engineering, surveying, and consulting services."
            }
        }
    }
}